Subject: RE: pci node question

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 24 Apr 2012 06:21:31 +1000

On Mon, 2012-04-23 at 15:48 +0000, Yoder Stuart-B08248 wrote:
> Hmmm... I vaguely understand what you are saying.   But why is the
> length zero, that is what doesn't make sense on the surface?

Ah indeed, on would think that we could represent the real size of the
config space there... but I've always seen this as 0 in real OF
implementations as well, at least the G5 device-tree I'm looking at now
has it that way.

> We really should put a comment on that reg property-- can you suggest
> a short comment that would capture what the reg with all zeros 
> is for?  ...I'll submit a patch. 

Hrm.. "config address of the device: 0,0,0" ?

Cheers,
Ben.